System.Drawing 2.0.0.0 System.Object System.IDisposable

The class allows you to implement custom double buffering for your graphics. It provides a wrapper for a graphics buffer, along with methods that you can use to write to the buffer and render its contents to an output device.

Graphics that use double buffering can reduce or eliminate flicker that is caused by redrawing a display surface. When you use double buffering, updated graphics are first drawn to a buffer in memory, and the contents of this buffer are then quickly written to some or all of the displayed surface. This relatively brief overwrite of the displayed graphics typically reduces or eliminates the flicker that sometimes occurs when graphics are updated.

The simplest way to use double buffering is to set the control style flag on a control using the method. Setting the flag for a control redirects all painting for the control through a default graphics buffer, without requiring any additional code. This flag is set to true by default.

The class has no public constructor and must be created by the for an application domain using its method. You can retrieve the for the current application domain from the static property.

The property can be used for drawing to the graphics buffer. This property provides access to the object that draws to the graphics buffer allocated for this object.

The method with no arguments draws the contents of the graphics buffer to the surface specified when the buffer was allocated. Other overloads of the method allow you to specify a object or an object that points to a device context to which to draw the contents of the graphics buffer.

For more information about drawing double-buffered graphics, see Double Buffered Graphics.

Provides a graphics buffer for double buffering.

- Method
  System.Void

  Call when you are finished using the object. The method leaves the object in an unusable state. After calling , you must release all references to the object so the garbage collector can reclaim the memory that the object was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the object. Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the object.

  2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Property
  System.Drawing.Graphics To be added.

  This property provides a object that draws to the graphics buffer allocated for this object.

  Gets a object that outputs to the graphics buffer.

  2.0.0.0
- Method
  System.Void

  This method writes the contents of the graphics buffer to the device specified by calling the method of the used to create this object.

  Writes the contents of the graphics buffer to the default device.

  2.0.0.0
- Method
  System.Void ``

  This method writes the contents of the graphics buffer to the specified object.

  Writes the contents of the graphics buffer to the specified object.

  A object to which to write the contents of the graphics buffer. 2.0.0.0
- Method
  System.Void ``

  This method writes the contents of the graphics buffer to the device context associated with the specified handle.

  Writes the contents of the graphics buffer to the device context associated with the specified handle.

  An that points to the device context to which to write the contents of the graphics buffer. 2.0.0.0